Package org.eclipse.graphiti.mm.algorithms.styles

## Interface GradientColoredArea

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `GradientColoredAreaImpl`

    public interface GradientColoredArea
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gradient Colored Area'.

The following features are supported:

- `Start`
- `End`

See Also:
  `StylesPackage.getGradientColoredArea()`

### Method Summary

All Methods Instance Methods Abstract Methods
`GradientColoredLocation` `getEnd()` Returns the value of the 'End' containment reference.
`GradientColoredLocation` `getStart()` Returns the value of the 'Start' containment reference.
`void` `setEnd​(GradientColoredLocation value)` Sets the value of the '`End`' containment reference.
`void` `setStart​(GradientColoredLocation value)` Sets the value of the '`Start`' containment reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getStart

    GradientColoredLocation getStart()

Returns the value of the 'Start' containment reference.

If the meaning of the 'Start' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Start' containment reference.
See Also:
  `setStart(GradientColoredLocation)`, `StylesPackage.getGradientColoredArea_Start()`

#### setStart

    void setStart​(GradientColoredLocation value)

Sets the value of the '`Start`' containment reference.

Parameters:
  `value` - the new value of the 'Start' containment reference.
See Also:
  `getStart()`

#### getEnd

    GradientColoredLocation getEnd()

Returns the value of the 'End' containment reference.

If the meaning of the 'End' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'End' containment reference.
See Also:
  `setEnd(GradientColoredLocation)`, `StylesPackage.getGradientColoredArea_End()`

#### setEnd

    void setEnd​(GradientColoredLocation value)

Sets the value of the '`End`' containment reference.

Parameters:
  `value` - the new value of the 'End' containment reference.
See Also:
  `getEnd()`